Subject: bug#11262: help text fro sorted? predicate is wrong/misleading.

From: Alexei Matveev <[email-masked]>
Date: Sun, 22 Apr 2012 12:53:10 +0200

>> How about this:
>>
>> Return @code{#t} iff @var{items} is a list or vector such that, for
>> each element @var{x} and the next element @var{y} of @var{items},
>> @code{(@var{less} @var{x} @var{y})} returns @code{#f}.
>>
>> This avoids use of ‘m’, which would need to be defined, and makes
>> it clear what “comparing element i to the preceeding element”
>> means.

Yes, "m" should not be mentioned. But I think you got it backwards again:

Return @code{#t} iff @var{items} is a list or vector such that, for
each element @var{x} and the next element @var{y} of @var{items},
@code{(@var{less} @var{y} @var{x})} returns @code{#f}.

Note the order of x and y in (less? y x) in the last line.

Alexei